module "Circular-User-Pool" {
  source                       = "corpit-consulting-public/cognito-user-pool/aws"
  version                      = "v0.1.6"
  name                         = "${var.user_pool_name}"
  schema                       = "${var.schema}"
  email_verification_message   = "${var.cognito_params["email_verification_message"]}"
  email_verification_subject   = "${var.cognito_params["email_verification_subject"]}"
  default_email_option         = "${var.cognito_params["default_email_option"]}" 
  mfa_configuration            = "${var.cognito_params["mfa_configuration"]}"
  sms_verification_message     = "${var.cognito_params["sms_verification_message"]}"
  sms_authentication_message   = "${var.cognito_params["sms_authentication_message"]}"
  minimum_length               = "${var.cognito_params["minimum_length"]}"
  require_lowercase            = "${var.cognito_params["require_lowercase"]}"
  require_numbers              = "${var.cognito_params["require_numbers"]}"
  require_symbols              = "${var.cognito_params["require_symbols"]}"
  require_uppercase            = "${var.cognito_params["require_uppercase"]}"
  allow_admin_create_user_only = "${var.allow_admin_create_user_only}"
  temporary_password_validity_days = "${var.cognito_params["temporary_password_validity_days"]}"
  invite_message_template      = "${var.invite_message_template}"
  sms_message                  = "${var.cognito_params["sms_message"]}"
  email_message                = "${var.cognito_params["email_message"]}"
  email_subject                = "${var.cognito_params["email_subject"]}"
#  custom_message               = "${module.MFACustomMessage.arn}"
  sns_caller_arn               = "${aws_iam_role.cognitoSmSRole.arn}"
  ## External_ID from XXXXXX Application
  external_id                  = "34b3248c-b5b8-4b35-9610-5612c0bcaa56"
}
 